[CentOS-devel] Re: New nx/freenx RPMS for CentOS-4 i386 in the Testing Repo

Johnny Hughes mailing-lists at hughesjr.com
Thu Jan 4 00:34:34 UTC 2007


On Wed, 2007-01-03 at 12:19 +0100, Kay Diederichs wrote:
> Johnny Hughes wrote:
> ...
> > The NX and FreeNX RPMS in the testing Repository have been upgraded.
> > Here is what has changed:
> > 
> > NX:
> > 
> > 1.  Incorporated the latest No Machine releases from this announcement:
> > http://www.nomachine.com/news-read.php?idnews=188
> > 
> > FreeNX:
> > 
> > 1.  Upgraded to the latest SVN version (revision 282) to fix the
> > xosview / xclock issues that are noted before.
> > 
> > 2.  Renamed (and modified) the former patch named fc5patch.diff to
> > CentOS-4-patch.diff
> > 
> > 3.  Removed nxclient.diff as that functionality was rolled in already
> > with SVN revision 282.
> > 
> > 4.  Added nxnode slave mode (and nxserver-helper).
> > 
> > I think this version is more stable than the last ... please test and
> > provide feedback so we can roll this out.
> > 
> > Thanks,
> > Johnny Hughes
> > 
> 
> My feedback for the new packages:
> 
> a) nxsetup is overly smart because it requires --override even for --help
> 
> b) On the server I had to
> 1) nxsetup   --uninstall   --purge   --override
> 2) nxsetup --override
> 3) then accept the defaults
> 4) the resulting error messages
> -------
> Error: Invalid value 
> "APPLICATION_LIBRARY_PRELOAD=/usr/lib/libX11.so.6.2:/usr/lib/libXext.so.6.4:/usr/lib/libXcomp.so.1:/usr/lib/libXcompext.so.1:/usr/lib/libXrender.so.1.2"
> Error: Could not find 1.5.0 or 2.0.0 version string in nxagent. NX 1.5.0 
> or 2.0.0 backend is needed for this version of FreeNX.
> -------
> do not appear to be harmful because the server works ok.
> I know this _should_ not be necessary but it _is_ necessary for me 
> because otherwise my client says "NX server disabled or not installed", 
> or something to that effect. I guess this may be a "local problem" of 
> some kind (i.e. me not understanding the "client key" business), and not 
> related to the new nx version or package.

Not sure why you would need to rerun nxsetup.  On install there is a
client ID key that is in /etc/nxsever and that key just needs to be cut
and pasted into the key section on the client machines ... nxsetup
should never need to be run.

There are directions here:

http://wiki.centos.org/FreeNX

That override section was specifically added by Rick Stout of Fedora
Extras to make it difficult to run NX setup as many people were killing
their installs.  I could remove it, but would rather not.
> 
> c) the problems with the color maps are indeed fixed
> 
> d) a new problem (at least compared to nx-1.5.0-1.centos4.i386) is that 
> the session cannot be terminated or suspended by signalling the client 
> (on a CentOS-4 machine): clicking the "X" of the client's window or even 
> ALT-F4 does not result in a "xmessage" window where "suspend", 
> "terminate" or "cancel" can be chosen. Rather, I had to kill the nxssh 
> process.

I can use the "X" of the client window with no problems, maybe it has
something to do with rerunning nxsetup???

Also, there are known issues if the NoMachine Linux client is not
installed on the server, so you might give that a try (Though I added a
patch to fix that problem).

Thanks,
Johnny Hughes
-------------- next part --------------
A non-text attachment was scrubbed...
Name: not available
Type: application/pgp-signature
Size: 189 bytes
Desc: This is a digitally signed message part
Url : http://lists.centos.org/pipermail/centos-devel/attachments/20070103/486264d0/attachment.bin


More information about the CentOS-devel mailing list